# Generated by Django 2.0.4 on 2018-12-05 21:51

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Persona',
            fields=[
                ('email', models.EmailField(max_length=100, primary_key=True, serialize=False, verbose_name='Correo Electrónico')),
                ('run', models.CharField(max_length=12, verbose_name='Run')),
                ('nombre_completo', models.CharField(max_length=50, verbose_name='Nombre Completo')),
                ('fechanac', models.DateField(verbose_name='Fecha de Nacimiento')),
                ('telefono', models.IntegerField(verbose_name='Teléfono')),
                ('regiones', models.CharField(max_length=40, verbose_name='Región')),
                ('comunas', models.CharField(max_length=40, verbose_name='Comuna')),
                ('contrasenia', models.CharField(default=None, max_length=20, verbose_name='Contraseña')),
                ('usuario', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Producto',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=60, verbose_name='Nombre')),
                ('costo_presupuesto', models.IntegerField(verbose_name='Costo Presupuesto')),
                ('costo_real', models.IntegerField(verbose_name='Costo Real')),
                ('nota_adicionales', models.CharField(max_length=40, verbose_name='Nota Adicionales')),
            ],
        ),
        migrations.CreateModel(
            name='Tienda',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre_tienda', models.CharField(max_length=60, verbose_name='Nombre Tienda')),
                ('nombre_sucursal', models.CharField(max_length=60, verbose_name='Nombre Sucursal')),
                ('direccion', models.CharField(max_length=60, verbose_name='Direccion')),
                ('comunas', models.CharField(max_length=40, verbose_name='Comuna')),
                ('regiones', models.CharField(max_length=40, verbose_name='Región')),
            ],
        ),
        migrations.AddField(
            model_name='producto',
            name='tienda',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='kafra_app.Tienda'),
        ),
    ]
